Main Page | Modules | Class List | File List | Class Members | File Members

# Callback registration
[Lobby Service]

Register the callbacks function names. More...

## Functions
GSbool | LobbyFix_LoginReply (CBLobbyRcv_LoginReply fLoginReply)
| Set the function name for te callback.
GSbool | LobbyFix_LobbyDisconnection (CBLobbyRcv_LobbyDisconnection fLobbyDisconnection)
| Set the function name for the callback.
GSbool | LobbyFix_LobbyDisconnectAll (CBLobbyRcv_LobbyDisconnectAll fLobbyDisconnectAll)
| Set the function name for the callback.
GSbool | LobbyFix_CreateRoomReply (CBLobbyRcv_CreateRoomReply fCreateRoomReply)
| Set the function name for the callback.
GSbool | LobbyFix_NewRoom (CBLobbyRcv_NewRoom fNewRoom)
| Set the function name for the callback.
GSbool | LobbyFix_NewLobby (CBLobbyRcv_NewLobby fNewLobby)
| Set the function name for the callback.
GSbool | LobbyFix_RoomInfo (CBLobbyRcv_RoomInfo fRoomInfo)
| Set the function name for the callback.
GSbool | LobbyFix_LobbyInfo (CBLobbyRcv_LobbyInfo fLobbyInfo)
| Set the function name for the callback.
GSbool | LobbyFix_GroupInfoGet (CBLobbyRcv_GroupInfoGet fGroupInfoGet)
| Set the function name for the callback.
GSbool | LobbyFix_JoinRoomReply (CBLobbyRcv_JoinRoomReply fJoinRoomReply)
| Set the function name for the callback.
GSbool | LobbyFix_JoinLobbyReply (CBLobbyRcv_JoinLobbyReply fJoinLobbyReply)
| Set the function name for the callback.
GSbool | LobbyFix_MemberJoined (CBLobbyRcv_MemberJoined fMemberJoined)
| Set the function name for the callback.
GSbool | LobbyFix_MemberLeave (CBLobbyRcv_MemberLeave fMemberLeave)
| Set the function name for the callback.
GSbool | LobbyFix_StartMatchReply (CBLobbyRcv_StartMatchReply fStartMatchReply)
| Set the function name for the callback.
GSbool | LobbyFix_GroupRemove (CBLobbyRcv_GroupRemove fGroupRemove)
| Set the function name for the callback.
GSbool | LobbyFix_MasterNewReply (CBLobbyRcv_MasterNewReply fMasterNewReply)
| Set the function name for the callback.
GSbool | LobbyFix_MasterChanged (CBLobbyRcv_MasterChanged fMasterChanged)
| Set the function name for the callback.
GSbool | LobbyFix_MatchFinishReply (CBLobbyRcv_MatchFinishReply fMatchFinishReply)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerKickReply (CBLobbyRcv_PlayerKickReply fPlayerKickReply)
| Set the function name for the callback.
GSbool | LobbyFix_KickOut (CBLobbyRcv_KickOut fKickOut)
| Set the function name for the callback.
GSbool | LobbyFix_ParentGroupIDReply (CBLobbyRcv_ParentGroupIDReply fParentGroupIDReply)
| Set the function name for the callback.
GSbool | LobbyFix_GetAlternateGroupInfoReply (CBLobbyRcv_GetAlternateGroupInfoReply fGetAlternateGroupInfoReply)
| Set the function name for the callback.
GSbool | LobbyFix_GroupLeaveReply (CBLobbyRcv_GroupLeaveReply fGroupLeaveReply)
| Set the function name for the callback.
GSbool | LobbyFix_GroupConfigUpdate (CBLobbyRcv_GroupConfigUpdate fGroupConfigUpdate)
| Set the function name for the callback.
GSbool | LobbyFix_MatchStarted (CBLobbyRcv_MatchStarted fMatchStarted)
| Set the function name for the callback.
GSbool | LobbyFix_UpdateRoomConfigReply (CBLobbyRcv_UpdateRoomConfigReply fUpdateRoomConfigReply)
| Set the function name for the callback.
GSbool | LobbyFix_SubmitMatchResultReply (CBLobbyRcv_SubmitMatchResultReply fSubmitMatchResultReply)
| Set the function name for the callback.
GSbool | LobbyFix_UpdatePing (CBLobbyRcv_UpdatePing fUpdatePing)
| Set the function name for the callback.
GSbool | LobbyFix_GameStartReply (CBLobbyRcv_StartGameReply fStartGameReply)
| Set the function name for the callback.
GSbool | LobbyFix_GameReadyReply (CBLobbyRcv_GameReadyReply fGameReadyReply)
| Set the function name for the callback.
GSbool | LobbyFix_GameStarted (CBLobbyRcv_GameStarted fGameStarted)
| Set the function name for the callback.
GSbool | LobbyFix_NewGameMember (CBLobbyRcv_NewGameMember fNewGameMember)
| Set the function name for the callback.
GSbool | LobbyFix_UpdateGameInfoReply (CBLobbyRcv_UpdateGameInfoReply fUpdateGameInfoReplyCB)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerBanReply (CBLobbyRcv_PlayerBanReply fPlayerBanReplyCB)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerUnBanReply (CBLobbyRcv_PlayerUnBanReply fPlayerUnBanReplyCB)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerBanList (CBLobbyRcv_PlayerBanList fPlayerBanListCB)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerBanned (CBLobbyRcv_PlayerBanned fPlayerBannedCB)
| Set the function name for the callback.
GSbool | LobbyFix_MatchReady (CBLobbyRcv_MatchReady fMatchReadyCB)
| Set the function name for the callback.
GSbool | LobbyFix_InfoRefresh (CBLobbyRcv_InfoRefresh fInfoRefresh)
| Set the function name for the callback.
GSbool | LobbyFix_SetPlayerInfoReply (CBLobbyRcv_SetPlayerInfoReply fSetPlayerInfoReply)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerInfoUpdate (CBLobbyRcv_PlayerInfoUpdate fPlayerInfoUpdate)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerGroupList (CBLobbyRcv_PlayerGroupList fPlayerGroupListCB)
| Set the function name for the callback.
GSbool | LobbyFix_PlayerStatusUpdate (CBLobbyRcv_PlayerStatusUpdate fPlayerStatusUpdate)
| Set the function name for the callback.
GSbool | LobbyFix_FinalMatchResults (CBLobbyRcv_FinalMatchResults fFinalMatchResults)

## Detailed Description

Theses functions are used to set the function name for the callbacks of the lobby service.

## Function Documentation

GSbool LobbyFix_CreateRoomReply | ( | CBLobbyRcv_CreateRoomReply | fCreateRoomReply | ) |

  | Description: This function is used to register the CreateRoom callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fCreateRoomReply | Name of a function of type CBLobbyRcv_CreateRoomReply

GSbool LobbyFix_GameReadyReply | ( | CBLobbyRcv_GameReadyReply | fGameReadyReply | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGameReadyReply | Name of a function of type CBLobbyRcv_GameReadyReply

GSbool LobbyFix_GameStarted | ( | CBLobbyRcv_GameStarted | fGameStarted | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGameStarted | Name of a function of type CBLobbyRcv_GameStarted

GSbool LobbyFix_GameStartReply | ( | CBLobbyRcv_StartGameReply | fStartGameReply | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fStartGameReply | Name of a function of type CBLobbyRcv_StartGameReply

GSbool LobbyFix_GetAlternateGroupInfoReply | ( | CBLobbyRcv_GetAlternateGroupInfoReply | fGetAlternateGroupInfoReply | ) |

  | Description: This function is used to register the GetAlternateGroupInfoReply callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGetAlternateGroupInfoReply | Name of a function of type CBLobbyRcv_GetAlternateGroupInfoReply

GSbool LobbyFix_GroupConfigUpdate | ( | CBLobbyRcv_GroupConfigUpdate | fGroupConfigUpdate | ) |

  | Description: This function is used to register the GroupConfigUpdate callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGroupConfigUpdate | Name of a function of type ::CBLobbyRcv_GroupLeave

GSbool LobbyFix_GroupInfoGet | ( | CBLobbyRcv_GroupInfoGet | fGroupInfoGet | ) |

  | Description: This function is used to register the GroupInfoGet callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGroupInfoGet | Name of a function of type CBLobbyRcv_GroupInfoGet

GSbool LobbyFix_GroupLeaveReply | ( | CBLobbyRcv_GroupLeaveReply | fGroupLeaveReply | ) |

  | Description: This function is used to register the GroupLeave callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGroupLeaveReply | Name of a function of type CBLobbyRcv_GroupLeaveReply

GSbool LobbyFix_GroupRemove | ( | CBLobbyRcv_GroupRemove | fGroupRemove | ) |

  | Description: This function is used to register the GroupRemove callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fGroupRemove | Name of a function of type CBLobbyRcv_GroupRemove

GSbool LobbyFix_InfoRefresh | ( | CBLobbyRcv_InfoRefresh | fInfoRefresh | ) |

  | Description: This function is used to register the InfoRefresh callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fInfoRefresh | Name of a function of type CBLobbyRcv_InfoRefresh

GSbool LobbyFix_JoinLobbyReply | ( | CBLobbyRcv_JoinLobbyReply | fJoinLobbyReply | ) |

  | Description: This function is used to register the JoinLobbyResult callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fJoinLobbyReply | Name of a function of type CBLobbyRcv_JoinLobbyReply

GSbool LobbyFix_JoinRoomReply | ( | CBLobbyRcv_JoinRoomReply | fJoinRoomReply | ) |

  | Description: This function is used to register the JoinRoomResult callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fJoinRoomReply | Name of a function of type CBLobbyRcv_JoinRoomReply

GSbool LobbyFix_KickOut | ( | CBLobbyRcv_KickOut | fKickOut | ) |

  | Description: This function is used to register the KickOut callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fKickOut | Name of a function of type CBLobbyRcv_KickOut

GSbool LobbyFix_LobbyDisconnectAll | ( | CBLobbyRcv_LobbyDisconnectAll | fLobbyDisconnectAll | ) |

  | Description: This function is used to register the LobbyDisconnection callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLobbyDisconnectAll | Name of a function of type :: CBLobbyRcv_LobbyDisconnectAll

GSbool LobbyFix_LobbyDisconnection | ( | CBLobbyRcv_LobbyDisconnection | fLobbyDisconnection | ) |

  | Description: This function is used to register the LobbyDisconnection callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLobbyDisconnection | Name of a function of type CBLobbyRcv_LobbyDisconnection

GSbool LobbyFix_LobbyInfo | ( | CBLobbyRcv_LobbyInfo | fLobbyInfo | ) |

  | Description: This function is used to register the LobbyInfo callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLobbyInfo | Name of a function of type CBLobbyRcv_LobbyInfo

GSbool LobbyFix_LoginReply | ( | CBLobbyRcv_LoginReply | fLoginReply | ) |

  | Description: This function is used to register the LoginResult callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fLoginReply | Name of a function of type CBLobbyRcv_LoginReply

GSbool LobbyFix_MasterChanged | ( | CBLobbyRcv_MasterChanged | fMasterChanged | ) |

  | Description: This function is used to register the MasterChanged callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMasterChanged | Name of a function of type ::CBLobbyRcv_MasterChange

GSbool LobbyFix_MasterNewReply | ( | CBLobbyRcv_MasterNewReply | fMasterNewReply | ) |

  | Description: This function is used to register the MasterNew callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMasterNewReply | Name of a function of type CBLobbyRcv_MasterNewReply

GSbool LobbyFix_MatchFinishReply | ( | CBLobbyRcv_MatchFinishReply | fMatchFinishReply | ) |

  | Description: This function is used to register the MatchFinish callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMatchFinishReply | Name of a function of type CBLobbyRcv_MatchFinishReply

GSbool LobbyFix_MatchReady | ( | CBLobbyRcv_MatchReady | fMatchReadyCB | ) |

  | Description: This function is used to register the MatchReady callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMatchReadyCB | Name of a function of type CBLobbyRcv_MatchReady

GSbool LobbyFix_MatchStarted | ( | CBLobbyRcv_MatchStarted | fMatchStarted | ) |

  | Description: This function is used to register the MatchStarted callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMatchStarted | Name of a function of type ::CBLobbyRcv_GroupLeave

GSbool LobbyFix_MemberJoined | ( | CBLobbyRcv_MemberJoined | fMemberJoined | ) |

  | Description: This function is used to register the MemberJoined callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMemberJoined | Name of a function of type CBLobbyRcv_MemberJoined

GSbool LobbyFix_MemberLeave | ( | CBLobbyRcv_MemberLeave | fMemberLeave | ) |

  | Description: This function is used to register the MemberLeave callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fMemberLeave | Name of a function of type CBLobbyRcv_MemberLeave

GSbool LobbyFix_NewGameMember | ( | CBLobbyRcv_NewGameMember | fNewGameMember | ) |

  | Description: This function is used to register the NewGameMember callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fNewGameMember | Name of a function of type CBLobbyRcv_NewGameMember

GSbool LobbyFix_NewLobby | ( | CBLobbyRcv_NewLobby | fNewLobby | ) |

  | Description: This function is used to register the NewLobby callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fNewLobby | Name of a function of type CBLobbyRcv_NewLobby

GSbool LobbyFix_NewRoom | ( | CBLobbyRcv_NewRoom | fNewRoom | ) |

  | Description: This function is used to register the NewRoom callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fNewRoom | Name of a function of type CBLobbyRcv_NewRoom

GSbool LobbyFix_ParentGroupIDReply | ( | CBLobbyRcv_ParentGroupIDReply | fParentGroupIDReply | ) |

  | Description: This function is used to register the ParentGroupID callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fParentGroupIDReply | Name of a function of type ::CBLobbyRcv_ParentGroupID

GSbool LobbyFix_PlayerBanList | ( | CBLobbyRcv_PlayerBanList | fPlayerBanListCB | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerBanListCB | Name of a function of type CBLobbyRcv_PlayerBanList

GSbool LobbyFix_PlayerBanned | ( | CBLobbyRcv_PlayerBanned | fPlayerBannedCB | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerBannedCB | Name of a function of type CBLobbyRcv_PlayerBanned

GSbool LobbyFix_PlayerBanReply | ( | CBLobbyRcv_PlayerBanReply | fPlayerBanReplyCB | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerBanReplyCB | Name of a function of type CBLobbyRcv_PlayerBanReply

GSbool LobbyFix_PlayerGroupList | ( | CBLobbyRcv_PlayerGroupList | fPlayerGroupListCB | ) |

  | Description: This function is used to register the PlayerGroupList callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerGroupListCB | Name of a function of type CBLobbyRcv_PlayerGroupList

GSbool LobbyFix_PlayerInfoUpdate | ( | CBLobbyRcv_PlayerInfoUpdate | fPlayerInfoUpdate | ) |

  | Description: This function is used to register the PlayerInfoUpdate callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerInfoUpdate | Name of a function of type CBLobbyRcv_PlayerInfoUpdate

GSbool LobbyFix_PlayerKickReply | ( | CBLobbyRcv_PlayerKickReply | fPlayerKickReply | ) |

  | Description: This function is used to register the PlayerKick callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerKickReply | Name of a function of type CBLobbyRcv_PlayerKickReply

GSbool LobbyFix_PlayerStatusUpdate | ( | CBLobbyRcv_PlayerStatusUpdate | fPlayerStatusUpdate | ) |

  | Description: This function is used to register the PlayerStatusUpdate callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerStatusUpdate | Name of a function of type CBLobbyRcv_PlayerStatusUpdate

GSbool LobbyFix_PlayerUnBanReply | ( | CBLobbyRcv_PlayerUnBanReply | fPlayerUnBanReplyCB | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fPlayerUnBanReplyCB | Name of a function of type CBLobbyRcv_PlayerUnBanReply

GSbool LobbyFix_RoomInfo | ( | CBLobbyRcv_RoomInfo | fRoomInfo | ) |

  | Description: This function is used to register the RoomInfo callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fRoomInfo | Name of a function of type CBLobbyRcv_RoomInfo

GSbool LobbyFix_SetPlayerInfoReply | ( | CBLobbyRcv_SetPlayerInfoReply | fSetPlayerInfoReply | ) |

  | Description: This function is used to register the SetPlayerInfoReply callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fSetPlayerInfoReply | Name of a function of type CBLobbyRcv_SetPlayerInfoReply

GSbool LobbyFix_StartMatchReply | ( | CBLobbyRcv_StartMatchReply | fStartMatchReply | ) |

  | Description: This function is used to register the StartMatch callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fStartMatchReply | Name of a function of type CBLobbyRcv_StartMatchReply

GSbool LobbyFix_SubmitMatchResultReply | ( | CBLobbyRcv_SubmitMatchResultReply | fSubmitMatchResultReply | ) |

  | Description: This function is used to register the SubmitMatchResult callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fSubmitMatchResultReply | Name of a function of type CBLobbyRcv_SubmitMatchResultReply

GSbool LobbyFix_UpdateGameInfoReply | ( | CBLobbyRcv_UpdateGameInfoReply | fUpdateGameInfoReplyCB | ) |

  | Description: This function is used to register the UpdatePing callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fUpdateGameInfoReplyCB | Name of a function of type CBLobbyRcv_UpdateGameInfoReply

GSbool LobbyFix_UpdatePing | ( | CBLobbyRcv_UpdatePing | fUpdatePing | ) |

  | Description: This function is used to register the SubmitMatchResult callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fUpdatePing | Name of a function of type CBLobbyRcv_UpdatePing

GSbool LobbyFix_UpdateRoomConfigReply | ( | CBLobbyRcv_UpdateRoomConfigReply | fUpdateRoomConfigReply | ) |

  | Description: This function is used to register the UpdateRoomConfigReply callback Returns: Status of the function call Return values:
  GS_TRUE | Success
  GS_FALSE | Failure
  Parameters:
  fUpdateRoomConfigReply | Name of a function of type CBLobbyRcv_UpdateRoomConfigReply

Ubi.com GameService SDK - ©UbiSoft Entertainment 2002
GameService development team